From 53ab3b260f50cdb5a8e2ed8c7c1f3ba93aa1a427 Mon Sep 17 00:00:00 2001
From: Mikhail Glushenkov <mikhail.glushenkov@gmail.com>
Date: Thu, 28 Jan 2016 11:49:14 +0100
Subject: [PATCH] Update setup-dev.sh

---
 setup-dev.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/setup-dev.sh b/setup-dev.sh
index 09f25ddbff..316f71af76 100755
--- a/setup-dev.sh
+++ b/setup-dev.sh
@@ -21,7 +21,7 @@ setup() {
     # Install dependencies
     cabal install --only-dependencies --enable-tests || die "$NAME: Could not install needed dependencies"
     # Build the 'Setup' executable
-    ghc --make -threaded Setup.hs || die "$NAME: Could not create 'Setup' executable"
+    ghc --make -threaded -i -isrc Setup.hs || die "$NAME: Could not create 'Setup' executable"
     # Build the package
     local PACKAGEDB=`cabal exec -- sh -c 'echo $GHC_PACKAGE_PATH' | sed 's/:.*//'`
     echo "Cabal package DB location: $PACKAGEDB"
-- 
GitLab